# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXQueryAmbientLight

Function

Returns the color of an Ambient Light.

Syntax
`
#include <dx/dx.h>
`

Light DXQueryAmbientLight(Light l, RGBColor *color)

Functional Details

Determines whether `l` is an Ambient Light and returns in `*color` the information specified when the Light was created.

An `RGBColor` is defined as follows:
`
typedef struct rgbcolor {
float r, g, b;
} RGBColor;
`

Return Value

Returns `l` (if it is an Ambient Light) or `NULL` (if it is another type) without setting an error code; otherwise, returns `NULL` and sets an error code.

See Also

`DXNewAmbientLight`

16.8 , "Light Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]